Loading...
Searching...
No Matches
BALL::VIEW::PickingMode Class Reference

`#include <BALL/VIEW/KERNEL/MODES/pickingMode.h>`

Inheritance diagram for BALL::VIEW::PickingMode:

## Public Member Functions

| PickingMode (Scene *scene)
virtual void | mouseDoubleClickEvent (QMouseEvent *evt)
virtual Qt::Key | getKey () const
virtual QString | getName () const
virtual void | activate ()
virtual void | deactivate ()
Public Member Functions inherited from BALL::VIEW::InteractionMode
| InteractionMode (Scene *scene)
virtual | ~InteractionMode ()
virtual void | keyPressEvent (QKeyEvent *evt)
virtual void | keyReleaseEvent (QKeyEvent *evt)
void | mouseMoveEvent (QMouseEvent *evt)
void | mousePressEvent (QMouseEvent *evt)
void | mouseReleaseEvent (QMouseEvent *evt)
virtual void | wheelEvent (QWheelEvent *evt)
virtual void | addToolBarEntries (QToolBar *tb)
virtual void | populateContextMenu (QMenu *)
void | setMouseSensitivity (float sens)
void | setMouseWheelSensitivity (float sens)
QAction * | getMainAction ()
bool | isCurrent () const
void | setCurrent (bool current)

## Protected Member Functions

void | pickParent_ (const QPoint &p)
void | selectionPressedMoved_ ()
void | selectObjects_ ()
virtual void | mouseMoveEventImpl_ (QMouseEvent *evt)
virtual void | mousePressEventImpl_ (QMouseEvent *evt)
virtual void | mouseReleaseEventImpl_ (QMouseEvent *evt)
Protected Member Functions inherited from BALL::VIEW::InteractionMode
float | getXDiff_ () const
float | getYDiff_ () const
void | zoomSystem_ ()

## Protected Attributes

bool | pick_select_
bool | ignore_pick_
QPoint | mouse_pos_pick_
Protected Attributes inherited from BALL::VIEW::InteractionMode
Scene * | scene_
QPoint | mouse_pos_old_
QPoint | mouse_pos_new_
QSize | desktop_size_
float | mouse_sensitivity_
float | mouse_wheel_sensitivity_
QAction * | main_action_
bool | is_current_

## Additional Inherited Members

Signals inherited from BALL::VIEW::InteractionMode
void | requestModeChange (InteractionMode *mode)
Protected Slots inherited from BALL::VIEW::InteractionMode
void | modeChangeSlot_ ()

## Detailed Description

Definition at line 11 of file pickingMode.h.

## Constructor & Destructor Documentation

## PickingMode()

BALL::VIEW::PickingMode::PickingMode | ( | Scene * | scene | ) |

## Member Function Documentation

## activate()

virtual void BALL::VIEW::PickingMode::activate | ( |  | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## deactivate()

virtual void BALL::VIEW::PickingMode::deactivate | ( |  | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## getKey()

virtual Qt::Key BALL::VIEW::PickingMode::getKey | ( |  | ) | const

virtual

Implements BALL::VIEW::InteractionMode.

## getName()

virtual QString BALL::VIEW::PickingMode::getName | ( |  | ) | const

inline virtual

Implements BALL::VIEW::InteractionMode.

Definition at line 19 of file pickingMode.h.

## mouseDoubleClickEvent()

virtual void BALL::VIEW::PickingMode::mouseDoubleClickEvent | ( | QMouseEvent * | evt | ) |

virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mouseMoveEventImpl_()

virtual void BALL::VIEW::PickingMode::mouseMoveEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mousePressEventImpl_()

virtual void BALL::VIEW::PickingMode::mousePressEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## mouseReleaseEventImpl_()

virtual void BALL::VIEW::PickingMode::mouseReleaseEventImpl_ | ( | QMouseEvent * | evt | ) |

protected virtual

Reimplemented from BALL::VIEW::InteractionMode.

## pickParent_()

void BALL::VIEW::PickingMode::pickParent_ | ( | const QPoint & | p | ) |

protected

## selectionPressedMoved_()

void BALL::VIEW::PickingMode::selectionPressedMoved_ | ( |  | ) |

protected

## selectObjects_()

void BALL::VIEW::PickingMode::selectObjects_ | ( |  | ) |

protected

## Member Data Documentation

## ignore_pick_

bool BALL::VIEW::PickingMode::ignore_pick_

protected

Definition at line 26 of file pickingMode.h.

## mouse_pos_pick_

QPoint BALL::VIEW::PickingMode::mouse_pos_pick_

protected

Definition at line 27 of file pickingMode.h.

## pick_select_

bool BALL::VIEW::PickingMode::pick_select_

protected

Definition at line 25 of file pickingMode.h.